//
//  PTRDataTypes.h
//  Pointr
//
//  Created by Pointr Labs on 22/02/16.
//  Copyright © 2016 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

/// Enum for all types of data.
typedef NS_ENUM(NSInteger, PTRDataType) {
    /// No data.
    PTRDataTypeNone = -1,
    /// Poi data.
    PTRDataTypePoi = 0,
    /// Beacon data.
    PTRDataTypeBeacon = 1,
    /// Obstacle data.
    PTRDataTypeObstacle = 2,
    /// Configuration data.
    PTRDataTypeConfiguration = 3,
    /// Zone data.
    PTRDataTypeZone = 4,
    /// Graph data.
    PTRDataTypeGraph = 6,
    /// Versions data.
    PTRDataTypeVersions = 7,
    /// Geofence data.
    PTRDataTypeGeofence = 8,
    /// Codec data.
    PTRDataTypeCodec = 9,
    /// Sites data.
    PTRDataTypeSites = 10
};

/// Interface for Data Types.
OBJC_EXPORT @interface PTRDataTypes : NSObject

/////////////////////////////////////////////////////////////////////////
#pragma mark - Helper methods
/////////////////////////////////////////////////////////////////////////

/**
 * Convert type to String
 */
+ (NSString *)dataTypeToString:(PTRDataType)type;

@end
