//
//  PTRDisplayBeacon.h
//
//  Created by Pointr on 20/02/15.
//  Copyright (c) 2015 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/// Display beacon
OBJC_EXPORT @interface PTRDisplayBeacon : NSObject

/// Level
@property (nonatomic, assign, readonly) int level;

/// `x` coordinate
@property (nonatomic, assign, readonly) float x;

/// `y` coordinate
@property (nonatomic, assign, readonly) float y;

/// Radius accuracy in metres
@property (nonatomic, assign, readonly) float accuracy;

/// Distance
@property (nonatomic, assign, readonly) float distance;

/////////////////////////////////////////////////////////////////////////
#pragma mark - Init method
/////////////////////////////////////////////////////////////////////////

/// Default initialiser
/// @param level Level / floor
/// @param x `x` coordinate
/// @param y `y` coordinate
/// @param accuracy Radius accuracy in metres
/// @param distance Distance
- (instancetype _Nullable)initWithLevel:(int)level
                                      x:(float)x
                                      y:(float)y
                               accuracy:(float)accuracy
                               distance:(float)distance;

@end

NS_ASSUME_NONNULL_END
