//
//  PTRFusionUtil.h
//  Fusion
//
//  Created by Pointr Labs on 02/04/2016.
//  Copyright © 2016 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

/// Fusion utilities
OBJC_EXPORT @interface PTRFusionUtil : NSObject

/// Degrees to radians converter
/// @param angleInDegrees Angle in degrees
/// @return Angle in radians
+ (double)toRadians:(double)angleInDegrees;

/// Radians to degrees converter
/// @param angleInRadians Angle in radians
/// @return Angle in degrees
+ (double)toDegrees:(double)angleInRadians;

/// Normalize an angle in radians
/// @param angleInRadians Angle in radians
/// @return Normalized angle
+ (double)normalizeAngle:(double)angleInRadians;

/// Normalize angle with base angle
/// @param angleInRadians Angle in radians
/// @param baseAngle Base angle in radians
/// @return Normalized angle
+ (double)normalizeAngle:(double)angleInRadians withBaseAngle:(double)baseAngle;

/// Calculate angle difference
/// @param srcAngle Source angle
/// @param destAngle Destination angle
+ (double)getAngleChangeFrom:(double)srcAngle to:(double)destAngle;

@end
