//
//  PTRGeoPolygon.h
//
//  Created by Pointr on 23/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PTRGeometry.h>

#import <CoreLocation/CoreLocation.h>

@class PTRGeoPoint;

NS_ASSUME_NONNULL_BEGIN

/// Model class for a polygon geometry.
@interface PTRGeoPolygon : PTRGeometry

/// The points that form the outer line of the polygon.
@property (strong, nonatomic, readonly, nonnull) NSArray<PTRGeoPoint *> *outer;

- (instancetype)init NS_UNAVAILABLE;

/// Initialiser with outer points of the polygon.
/// - Parameter points: Polygon's outer points.
- (instancetype)initWithPoints:(NSArray<PTRGeoPoint *> *)points;

@end

NS_ASSUME_NONNULL_END
