//
//  PTRGeofenceServiceEvent.h
//  Pods
//
//  Created by Furkan Erdem Perşembe on 9.04.2019.
//

#import <Foundation/Foundation.h>

#import <PointrKit/PTRGeofenceEvent.h>

@class PTRGeoCircle;

NS_ASSUME_NONNULL_BEGIN

/// Geofence Service event class.
OBJC_EXPORT @interface PTRGeofenceServiceEvent : NSObject

/**
 * Identifier of Event Object
 */
@property (nonatomic, strong, readonly) NSString *identifier;

/**
 * GeoCircle properties of Service Event
 */
@property (nonatomic, strong, readonly) PTRGeoCircle *geoCircle;

/**
 * Geofence Type of Service Event
 */
@property (nonatomic, assign, readonly) PTRGeofenceEventType type;

/**
 * Identifier of Event Object
 */
@property (nonatomic, assign, readonly) long long timestamp;

- (instancetype)init NS_UNAVAILABLE;

/// Method to get geofence identifier.
- (NSString *)getPointrGeofenceIdentifier;

/// Method to check if identifier is from a Pointr geofence
/// @param identifier Geofence's identifier.
+ (BOOL)isPointrGeofenceIdentifier:(NSString *)identifier;

@end

NS_ASSUME_NONNULL_END
