// AUTO-GENERATED FILE (DO NOT MODIFY)

#import <Foundation/Foundation.h>

#import <PointrKit/PTRPositionManagerConfiguration.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * PTRMutablePositionManagerConfiguration
 */
OBJC_EXPORT @interface PTRMutablePositionManagerConfiguration : PTRPositionManagerConfiguration

- (instancetype)init NS_UNAVAILABLE;

/**
 *  Whether CoreBluetooth is enabled for beacon input
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL isCoreBluetoothEnabled;
/**
 *  Whether CoreLocation is enabled for beacon input
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isCoreLocationEnabled;
/**
 *  Time to spend in beacon/GPS silence before fading location (in seconds)
 *  Default is 5.0
 */
@property (nonatomic, assign, readwrite) float thresholdForFadingPositionInSeconds;
/**
 *  Time to spend in beacon/GPS silence before losing location (in seconds)
 *  Default is 30.0
 */
@property (nonatomic, assign, readwrite) float thresholdForLosingPositionInSeconds;
/**
 *  Time required to pass after last valid location to produce an invalid location output (in seconds)
 *  Default is 5.0
 */
@property (nonatomic, assign, readwrite) float thresholdForInvalidatingPosition;
/**
 *  Whether GPS is enabled in the app foreground state
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isGpsTrackingEnabledInForeground;
/**
 *  Whether GPS is enabled in the app background state
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL isGpsTrackingEnabledInBackground;
/**
 *  Whether to try restarting BLE automatically, when BLE stack gets corrupted.
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL shouldRestartBleWhenCorrupted;
/**
 *  Whether sensor fusion is enabled (for improved location accuracy)
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isFusionEnabled;
/**
 *  Heading offset of the map relative to true north in degrees
 */
@property (nonatomic, assign, readwrite) float headingOffset;
/**
 *  Configured Bluetooth beacon transmission power level (between 1-9)
 *  Default is 4
 */
@property (nonatomic, assign, readwrite) int beaconPowerLevel;
/**
 *  Time to spend in beacon silence before stopping positioning (in seconds)
 *  Default is 60.0
 */
@property (nonatomic, assign, readwrite) float beaconSilenceTimeInSeconds;
/**
 *  Time to spend in GPS silence before stopping positioning (in seconds)
 *  Default is 120.0
 */
@property (nonatomic, assign, readwrite) float gpsSilenceTimeInSeconds;
/**
 *  Preferred GPS accuracy in app foreground state
 */
@property (nonatomic, assign, readwrite) PTRGpsAccuracyMode gpsAccuracyModeInForeground;
/**
 *  Preferred GPS accuracy in app background state
 */
@property (nonatomic, assign, readwrite) PTRGpsAccuracyMode gpsAccuracyModeInBackground;
/**
 *  Preferred activity type for OS location services
 */
@property (nonatomic, assign, readwrite) PTRActivityType activityType;
/**
 *  Typical GPS location update interval in app foreground state (in seconds)
 *  Default is 3.0
 */
@property (nonatomic, assign, readwrite) float gpsUpdateIntervalInSecondsInForeground;
/**
 *  Typical GPS location update interval in app background state (in seconds)
 *  Default is 6.0
 */
@property (nonatomic, assign, readwrite) float gpsUpdateIntervalInSecondsInBackground;
/**
 *  Fastest GPS location update interval in app foreground state (in seconds)
 *  Default is 1.0
 */
@property (nonatomic, assign, readwrite) float gpsFastestUpdateIntervalInSecondsInForeground;
/**
 *  Fastest GPS location update interval in app background state (in seconds)
 *  Default is 2.0
 */
@property (nonatomic, assign, readwrite) float gpsFastestUpdateIntervalInSecondsInBackground;
/**
 *  Whether to allow and consider landscape orientations for heading calculation. Disabling this will
 *  assume portrait orientation always.
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL shouldAllowLandscapeDeviceOrientations;
/**
 *  Alias of isGpsTrackingEnabledInForeground. Whether GPS is enabled in the app foreground state
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isGpsTrackingEnabled;
/**
 *  Alias of isGpsTrackingEnabledInForeground. Whether GPS is enabled in the app foreground state
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isGpsEnabled;

@end

NS_ASSUME_NONNULL_END
