//
//  PTRPathNode.h
//
//  Created by Pointr on 27/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <PointrKit/PTRGraphNode.h>
#import <PointrKit/PTRLocationAware.h>

@class PTRGeometry;

NS_ASSUME_NONNULL_BEGIN

/// The model class for the node of a PTRPath.
@interface PTRPathNode : PTRLocationAware

/// The node's type code.
@property (strong, nonatomic, readonly) NSString *typeCode;

/// The node's type.
@property (nonatomic, assign, readonly) PTRNodeType type;

/// The node's travel time.
@property (assign, nonatomic, readonly) double travelTime;

/// Flag to check if the node is a portal.
@property (assign, nonatomic, readonly) BOOL isPortal;

/// A user friendly text for the type of portal.
@property (strong, nonatomic, readonly) NSString *userFriendlyPortalString;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
