//
//  PTRPortalNode.h
//  Pointr
//
//  Created by Pointr on 27/08/20.
//  Copyright © 2020 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <PointrKit/PTRGraphNode.h>

NS_ASSUME_NONNULL_BEGIN

OBJC_EXPORT @interface PTRPortalNode : PTRGraphNode

- (instancetype)init NS_UNAVAILABLE;

/////////////////////////////////////////////////////////////////////////
#pragma mark - Public properties
/////////////////////////////////////////////////////////////////////////

/**
 *  Travel time (of using this portal) in seconds
 */
@property (nonatomic, readonly) int travelTime;

/**
 *  YES if this portal is step-free, suitable for users with accessibility needs
 *  NO otherwise
 */
@property (nonatomic, readonly) BOOL isAccessible;

/**
 *  YES if this portal is suitable for large groups (eg. family with kids)
 *  NO otherwise
 */
@property (nonatomic, readonly) BOOL isComfortable;

@end

NS_ASSUME_NONNULL_END
