// AUTO-GENERATED FILE (DO NOT MODIFY)

#import <Foundation/Foundation.h>

#import <PointrKit/PTRDistanceUnitType.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * PTRUserInterfaceConfiguration
 */
OBJC_EXPORT @interface PTRUserInterfaceConfiguration : NSObject

- (instancetype)init NS_UNAVAILABLE;

/**
 *  The width of the displayed path in points
 *  Default is 8.0
 */
@property (nonatomic, assign, readonly) float pathWidth;
/**
 *  The color of the displayed path in HEX format
 *  Default is "0080FF"
 */
@property (nonatomic, strong, readonly) NSString *pathColor;
/**
 *  Maximum zoom level allowed for the map
 *  Default is 21.0
 */
@property (nonatomic, assign, readonly) float maximumZoomLevel;
/**
 *  Minimum zoom level allowed for the map
 *  Default is 16.0
 */
@property (nonatomic, assign, readonly) float minimumZoomLevel;
/**
 *  The color used for the accuracy circle drawn around the user pin in HEX
 *  Default is "007AFF"
 */
@property (nonatomic, strong, readonly) NSString *accuracyCircleStaticColour;
/**
 *  If this parameter is true, then the map will focus on the user location when it first becomes
 *  available even if the user is browsing a different building
 *  Default is true
 */
@property (nonatomic, assign, readonly) BOOL shouldFocusOnFirstUserLocation;
/**
 *  What type of units should be used for distance in the UI
 *  Default is 0
 */
@property (nonatomic, assign, readonly) PTRDistanceUnitType distanceUnit;
/**
 *  Distance left to the next path direction, before we stop showing remaining
 *  Default is 5.0
 */
@property (nonatomic, assign, readonly) float pathDirectionThresholdInMeters;
/**
 *  Alias of accuracyCircleStaticColour. The color used for the accuracy circle drawn around the user pin
 *  in HEX
 *  Default is "007AFF"
 */
@property (nonatomic, strong, readonly) NSString *accuracyCircleStaticColor;
/**
 *  Alias of maximumZoomLevel. Maximum zoom level allowed for the map
 *  Default is 21.0
 */
@property (nonatomic, assign, readonly) float maxZoomScale;
/**
 *  Alias of minimumZoomLevel. Minimum zoom level allowed for the map
 *  Default is 16.0
 */
@property (nonatomic, assign, readonly) float minZoomScale;

@end

NS_ASSUME_NONNULL_END
