//
//  PTRARCameraTransform.h
//  Pointr
//
//  Created by Pointr Labs on 25/02/19.
//  Copyright © 2019 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/// AR Camera transform
OBJC_EXPORT @interface PTRARCameraTransform : NSObject

- (instancetype)init NS_UNAVAILABLE;

/// Default initialiser
/// @param m00 m00
/// @param m01 m01
/// @param m02 m02
/// @param m03 m03
/// @param m10 m10
/// @param m11 m11
/// @param m12 m12
/// @param m13 m13
/// @param m20 m20
/// @param m21 m21
/// @param m22 m22
/// @param m23 m23
/// @param m30 m30
/// @param m31 m31
/// @param m32 m32
/// @param m33 m33
- (instancetype)initWithMatrixElementsM00:(double)m00
                                      m01:(double)m01
                                      m02:(double)m02
                                      m03:(double)m03
                                      m10:(double)m10
                                      m11:(double)m11
                                      m12:(double)m12
                                      m13:(double)m13
                                      m20:(double)m20
                                      m21:(double)m21
                                      m22:(double)m22
                                      m23:(double)m23
                                      m30:(double)m30
                                      m31:(double)m31
                                      m32:(double)m32
                                      m33:(double)m33 NS_DESIGNATED_INITIALIZER;

/// Method to get elements from the matrix
/// @param i Row
/// @param j Column
- (double)getElementAtRow:(int)i column:(int)j;

/// Get `x` AR coordinate of the camera
- (double)getXPosition;
/// Get `y` AR coordinate of the camera
- (double)getYPosition;
/// Get `z` AR coordinate of the camera
- (double)getZPosition;
/// Get `yaw` AR coordinate of the camera
- (double)getYaw;
/// Get `pitch compensated yaw` AR coordinate of the camera
- (double)getPitchCompensatedYaw;
/// Get `pitch` AR coordinate of the camera
- (double)getPitch;
/// Get `roll` AR coordinate of the camera
- (double)getRoll;

@end

NS_ASSUME_NONNULL_END
