//
//  PTRAppStateTypes.h
//  Pointr-04516aee
//
//  Created by Furkan Erdem Perşembe on 15.05.2019.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
/// Enum for app states.
typedef NS_ENUM(int, PTRAppState) {
    /// App state cannot be determined.
    PTRAppStateUnknown = 0,
    /// App is launching.
    PTRAppStateLaunching = 1,
    /// App is in the foreground.
    PTRAppStateForeground = 2,
    /// App is in the background.
    PTRAppStateBackground = 3
};

/// Enum for app native states.
typedef NS_ENUM(int, PTRNativeAppState) {
    /// App state cannot be determined.
    PTRNativeAppStateUnknown,
    /// App is launching.
    PTRNativeAppStateLaunching,
    /// App is active (DidBecomeActive)
    PTRNativeAppStateActive,
    /// App is inactive (DidEnterBackground)
    PTRNativeAppStateInactive,
    /// App is move to inactive (WillResignActive)
    PTRNativeAppStateLeavingActive,
    /// App is about to be active (willEnterForeground)
    PTRNativeAppStateEnteringActive
};

OBJC_EXPORT @interface PTRAppStateTypes : NSObject

@end

NS_ASSUME_NONNULL_END
