//
//  PTRBoundingBox.h
//  PointrCore
//
//  Created by Pointr in 2022.
//

#import <CoreLocation/CoreLocation.h>

NS_ASSUME_NONNULL_BEGIN

/// Class to represent a North-East aligned bounding box
OBJC_EXPORT @interface PTRBoundingBox : NSObject

- (instancetype)initWithNorthEast:(CLLocationCoordinate2D)northEast
                        southWest:(CLLocationCoordinate2D)southWest NS_DESIGNATED_INITIALIZER;

- (instancetype)init NS_UNAVAILABLE;

/// North-East corner of the bounding box
@property (nonatomic, readonly) CLLocationCoordinate2D northEastCoordinate;

/// South-West corner of the bounding box
@property (nonatomic, readonly) CLLocationCoordinate2D southWestCoordinate;

/// North-West corner of the bounding box
@property (nonatomic, readonly) CLLocationCoordinate2D northWestCoordinate;

/// South-East corner of the bounding box
@property (nonatomic, readonly) CLLocationCoordinate2D southEastCoordinate;

@end

NS_ASSUME_NONNULL_END
