//
//  PTRFeatureTypeClass.h
//  PointrKit
//
//  Created by Pointr on 15.06.2022.
//

#import <Foundation/Foundation.h>

/**
 * Enum with all the possible Feature Type Classes.
 */
typedef NS_ENUM(int, PTRFeatureTypeClass) {
    /**
     * Class Unknown.
     */
    PTRFeatureTypeClassUnknown = -999999,
    /**
     * Class None.
     */
    PTRFeatureTypeClassNone = 0,
    /**
     * Class Poi.
     */
    PTRFeatureTypeClassPoi = 1,
    /**
     * Class Geofence.
     */
    PTRFeatureTypeClassGeofence = 2,
    /**
     * Class Graph.
     */
    PTRFeatureTypeClassGraph = 3,
    /**
     * Class Beacon.
     */
    PTRFeatureTypeClassBeacon = 4,
    /**
     * Class Portal.
     */
    PTRFeatureTypeClassPortal = 5,
    /**
     * Class Kiosk.
     */
    PTRFeatureTypeClassKiosk = 6,
    /**
     * Class Custom.
     */
    PTRFeatureTypeClassCustom = 7,
    /**
     * Class Sniffer.
     */
    PTRFeatureTypeClassSniffer = 8
};
