// AUTO-GENERATED FILE (DO NOT MODIFY)

#import <Foundation/Foundation.h>

#import <PointrKit/PTRGeofenceManagerConfiguration.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * PTRMutableGeofenceManagerConfiguration
 */
OBJC_EXPORT @interface PTRMutableGeofenceManagerConfiguration : PTRGeofenceManagerConfiguration

- (instancetype)init NS_UNAVAILABLE;

/**
 *  Notification message on entry
 *  Default is "Welcome"
 */
@property (nonatomic, strong, readwrite) NSString *welcomePushMessage;
/**
 *  Notification message on exit
 *  Default is "Goodbye"
 */
@property (nonatomic, strong, readwrite) NSString *exitPushMessage;
/**
 *  Whether there should be a notification on entry/exit
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL shouldNotifyEnterExit;
/**
 *  Time in seconds since last detected inside, after which a exit event is considered
 *  Default is 300.0
 */
@property (nonatomic, assign, readwrite) float regionTimeoutInterval;
/**
 *  Enable/Disable poi geofences
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isPoiTriggersEnabled;
/**
 *  Enable/Disable gps geofences
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isGpsGeofencingEnabled;
/**
 *  If this is true, then geofencing logic relies only on native geofencing (for iOS)
 *  Default is true
 */
@property (nonatomic, assign, readwrite) BOOL isGpsGeofencingNativeOnlyIos;
/**
 *  If this is true, then geofencing logic relies only on native geofencing (for Android)
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL isGpsGeofencingNativeOnlyAndroid;
/**
 *  How long an entry signal should be considered when determining building entry
 *  Default is 10.0
 */
@property (nonatomic, assign, readwrite) float geofenceWindowDurationInSeconds;
/**
 *  The distance at which a poi geofence is triggered, in meters
 *  Default is 5.0
 */
@property (nonatomic, assign, readwrite) float checkTriggerDistanceThresholdInMeters;
/**
 *  How much distance in meters is considered a significant change of GPS
 *  Default is 1000
 */
@property (nonatomic, assign, readwrite) float significantGPSChangeThresholdInMeters;
/**
 *  Scanning period while the app is in the foreground
 *  Default is 1100
 */
@property (nonatomic, assign, readwrite) int scanPeriodForeground;
/**
 *  Scanning period while the app is in the foreground
 *  Default is 0
 */
@property (nonatomic, assign, readwrite) int betweenScanPeriodForeground;
/**
 *  Scanning period while the app is in the background
 *  Default is 10000
 */
@property (nonatomic, assign, readwrite) int scanPeriodBackground;
/**
 *  Scanning period while the app is in the background
 *  Default is 300000
 */
@property (nonatomic, assign, readwrite) int betweenScanPeriodBackground;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Enter
 *  Default is 1.5F
 */
@property (nonatomic, assign, readwrite) float geofenceDistanceToleranceForEnter;
/**
 *  Geofence is expanded / shrunk by X percentage (of the geofence's approximate radius) for detecting
 *  Exit
 *  Default is 3.0F
 */
@property (nonatomic, assign, readwrite) float geofenceDistanceToleranceForExit;
/**
 *  Period of rechecking geofences in seconds
 *  Default is 60
 */
@property (nonatomic, assign, readwrite) float geofenceRecheckingPeriodInSeconds;
/**
 *  Geofences that re-trigger within the value of this setting, are ignored. In seconds
 *  Default is 30
 */
@property (nonatomic, assign, readwrite) float geofenceIgnorePeriodSinceLastTriggerInSeconds;
/**
 *  Location updates with accuracy worse than this value will be ignored (in meters)
 *  Default is 1000
 */
@property (nonatomic, assign, readwrite) float locationWorstAccuracyAccepted;
/**
 *  Location updates with accuracy better than this value will be considered regardless of the radius of
 *  the geofence under evaluation (in meters)
 *  Default is 20
 */
@property (nonatomic, assign, readwrite) float locationGoodEnoughAccuracyAccepted;
/**
 *  The maximum distance to current location of the geofences that are selected to be registered with
 *  native geofencing services
 *  Default is 50000
 */
@property (nonatomic, assign, readwrite) float geofencesToRegisterMaxDistanceInMeters;
/**
 *  The maximum number of beacons geofences to register with native services (iOS only)
 *  Default is 10
 */
@property (nonatomic, assign, readwrite) int beaconGeofencesToRegisterMaxCountIos;
/**
 *  The maximum number of geofences to register with native services (iOS only)
 *  Default is 10
 */
@property (nonatomic, assign, readwrite) int geofencesToRegisterMaxCountIos;
/**
 *  The maximum number of geofences to register with native services (Android only)
 *  Default is 100
 */
@property (nonatomic, assign, readwrite) int geofencesToRegisterMaxCountAndroid;
/**
 *  Whether geofence state updates should be uploaded
 *  Default is false
 */
@property (nonatomic, assign, readwrite) BOOL shouldUploadGeofenceStateUpdates;
/**
 *  Alias of checkTriggerDistanceThresholdInMeters. The distance at which a poi geofence is triggered, in
 *  meters
 *  Default is 5.0
 */
@property (nonatomic, assign, readwrite) float checkTriggerDistanceThresholdInMetres;

@end

NS_ASSUME_NONNULL_END
